blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
f1bcb3a1eefc75dd224b44f275104f60caab1ee7 | 200 | #!/bin/bash
#: Title : Grep command
#: Date : 26/9/14
#: Author : Thomas Jones
#: Version : 1.0000000005
#: Description : CPU count script
#: Options : No
cat /proc/cpuinfo | grep processor | wc -l
|
7914f4034bc52cfc28e39fd3ab58744186386ff4 | 5,818 | #!/bin/bash
# set -e
# set -x
PROGNAME=$(basename -- "${0}")
PROJROOT=$(d=$(dirname -- "${0}"); cd "${d}/.." && pwd)
if [[ -z "$1" ]]; then
echo "Next 1st parameter dev, qa, or prod for stage"
else
STAGE=$1
DT=$(date +%Y)
SEMVER=0.0.18
S3PREFIX="packaged/$DT/0.0.1/acentera-${PLUGINNAME}"
BUCKETNAME=... |
5286cbd568521e1ab291627b7c1c51530f99840c | 2,054 | #!/bin/bash
#
# Bash script for fast setting up Golang environment
#
# Usage:
#
# sudo chmod +x gostartup && ./gostartup
#
red="\e[31m"
green="\e[32m"
nocolor="\e[0m"
# .bashrc文件所在目录,环境变量在这个文件里面配置
bashrc="/home/"$USER"/.bashrc"
# 你想把golang项目放在哪里?默认为/home/$USER/go
echo -e "Where do you want to store golang projects... |
20fec2115809fb8e8915c6fe74338d007119cf53 | 79 | #!/bin/bash
FILES="python3/ccdir.py"
autopep8 -ia --ignore=E402,E501 ${FILES}
|
1953358544129ea3b11a75b7b406a1aeae8a63c7 | 259 | #!/bin/bash
KAFKA_REST_SERVER_ID=kafka-rest-${RANDOM}
echo "Starting Kafka REST proxy with ID ${KAFKA_REST_SERVER_ID}"
echo "id=${KAFKA_REST_SERVER_ID}" >> /etc/kafka-rest/kafka-rest.properties
/usr/bin/kafka-rest-start /etc/kafka-rest/kafka-rest.properties
|
c5c644c7a7d0d72fc90e1c6fe80f12ee5d5cc40a | 574 | #!/bin/bash
baksrc=/var/lib/mysql
bakdst=/backup/mysqlbackup/daily
dumpdb=/usr/bin/mysqldump
ls -lhd $baksrc/*_* | awk '{print $9}' | cut -d/ -f5 > /root/mysqldd-list
for db in `cat /root/mysqldd-list` ;
do
$dumpdb $db > $bakdst/$db.sql 2> $bakdst/error.log
done
$dumpdb mysql > $bakdst/mysql.sql 2> $bakdst/error.... |
ce4e8765908a2026f3bf9d6c7997f39892c78997 | 608 | #!/bin/sh -x
basedir=`dirname $0`/../..
FILE_LIST=(.eslintrc.json .emacs.d .pryrc .rspec .screenrc .tmux.conf .vimrc .vim .zshrc)
: [Info] Set synblic link
for file in ${FILE_LIST[@]}; do
if [ -f ~/$file -o -d ~/$file ]; then
rm -rf ~/$file
fi
ln -s $HOME/dotfiles/$file ~/
done
echo;
: [Info] Initialize g... |
ea20dba3992b6335ad88b58ff7edb6801381ecdd | 518 | #!/bin/bash
if [ "$1" = "" ]; then
echo "usage: $0 <nic-vx.y.tgz>"
exit;
fi
echo "Installing NAPLES simulation ..."
# install the software components
export NAPLES_INSTALL_DIR=$HOME/naples/v1
echo "Extracting NAPLES packages to $NAPLES_INSTALL_DIR"
mkdir -p $NAPLES_INSTALL_DIR
tar xmzf $1 -C $NAPLES_INSTALL_D... |
ef1262b31758ada433fd0bff4e67ca5a11c78f20 | 1,322 | #!/bin/bash
. ${DEVBOX_HOME:-$PWD}/lib/config.sh
. $DEVBOX_HOME/lib/rerun-as-root.sh
LATEST=$(ls -r $DEVBOX_HOME/images/${CHANNEL}.*.vmlinuz | head -n 1 | sed -e "s,.*${CHANNEL}.,," -e "s,.coreos_.*,,")
if [[ -z ${LATEST} ]]; then
echo "Error: couldn't find anything to load locally (${CHANNEL} channel)."
echo... |
8bc6c65a526e7a0150a3a1a96f96bd8528131a07 | 205 | #! /bin/bash
# 最简洁的启动
nohup python3 /home/crawler/by-spiders/by/spiders/shopee/queue_to_pipline.py >pipline.log 2>&1 &
echo $!>pipprocess.pid
echo start success!
#sed -i 's/\r$//' app_master.sh |
0228b5aba2aeb05a95b2d4a4ec7fbf94fca35269 | 299 | #!/usr/bin/env bash
set -o nounset
set -o errexit
set -o pipefail
STARTUP_DIR="$( cd "$( dirname "$0" )" && pwd )"
if [ ! -f "${STARTUP_DIR}/../settings.sh" ]; then
echo "settings.sh not found!"
exit 1
fi
source ${STARTUP_DIR}/../settings.sh
helm reset --kube-context="${KUBE_CONTEXT}"
|
453fa5380c34813f5e3965afcc4f9db731e85016 | 429 | #!/bin/bash
# bootstrap odin
# assume-role to the correct account
set -e
./scripts/build_lambda_zip
PROJECT_NAME=${PROJECT_NAME:-coinbase/odin}
STEP_NAME=$(echo $PROJECT_NAME | sed 's/\//\-/')
echo $PROJECT_NAME
echo $STEP_NAME
step bootstrap \
-lambda $STEP_NAME \
-step $STEP_NAME... |
a4a9a133a05143181fae9fade3c429315bfabb43 | 192 | #!/bin/sh
if [ -d env ]; then
. env/bin/activate
fi
if which coverage >/dev/null 2>&1; then
coverage run --include 'markovchain/*' -m pytest && coverage report -m
else
pytest
fi
|
51b3f7bdb4e5bbb35cc83ae870b4297b07319c7c | 232 | #!/bin/sh
i=8
case x`basename $0` in
xsubmit.sh) run=sbatch;;
*) run="";;
esac
echo "running jobs $run"
while [ $i -le 64 ]
do
echo launching $i
$run ./launch.sh ../../benchmarks/aoki/sp-ar-rc-$i.aig
i=`expr 2 \* $i`
done
|
3339d55caaecca6afabee8be290017dac6b21a30 | 68 | #!/bin/sh
chown -R root. /root/.ssh
chmod -R 400 /root/.ssh/*
exit 0 |
d504905a535cd8cdd02d60ef9bc1e5737f8bbed5 | 124 | How to unstage a staged file
Adding a remote repository
You can use git offline!
The three states in git
Ignore files in git |
a10e5a1147d3bb0d2492bb3720b5d4356e1cb33f | 100 | git pull;
python3 manage.py makemigrations;
python3 manage.py migrate;
python3 manage.py runserver;
|
4014a98823ec6d6bebe1b405b4a0e6eafd03d90b | 1,175 | #!/bin/bash
set -euo pipefail
build_challenge() {
name="$1"
solcv="${2:-}"
tag="gcr.io/paradigm-ctf/$name:latest"
if [ ! -z "$solcv" ]; then
pushd "$name/public"
ROOT_DIR="$(cd .. && pwd)"
SOLC_VERSION="$solcv" solc "private=$ROOT_DIR/private/" "public=$ROOT_DIR/public/contra... |
2735672a58d01952d80c4ec0dd0ef2e3acbb42c8 | 57 | #!/usr/bin/env bash
node index.js $1 $2 "/app/download/" |
557a1bbcd36d26ef245e6d9891c0de7e3a86062f | 775 | #!/usr/bin/env bash
# usage
# ./import.sh com.apple.Safari
# ./import.sh /Applications/Safari.app
set -e
# set -x
if [ -d "$1" ]
then
DOMAIN=$(mdls -name kMDItemCFBundleIdentifier -r "$1")
else
DOMAIN=$1
fi
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd -P)"
FILE="$DIR/plists/$DOMAIN.plist"
defaults exp... |
90127d033a2d0aa709265603b9d58e35bfbd98e9 | 2,693 | #!/usr/bin/env bash
# Script for building minimal services and executables for testing
# tcservice.
BC2_REPOS_TOP=~/git/bc2
BC2_RUNTREE_TOP=~/bc2
function build_executable
{
local repo=$1
local executable=$2
echo
echo "============================================================"
echo "building ... |
7a7772c93c65f2a23121a307d653d3b91a1c649c | 1,041 | #!/bin/sh
set -e
set -x
# Should only work on OSX so far
clang++ -c src/mini_racer_extension.cc -I py_mini_racer/ffi/v8/v8 \
-D_XOPEN_SOURCE -D_DARWIN_C_SOURCE \
-D_DARWIN_UNLIMITED_SELECT -D_REENTRANT \
-Wall -g -rdynamic -std=c++0x -fpermissive -fno-common... |
ce41fbbc261c1d2582549e569caae6116ef065a9 | 55 | #!/bin/bash
makewhatis -h &> ../one-log/makewhatis.log
|
3922aaadf0bd5661ea31add7328281bcbdf96d77 | 159 | #!/bin/bash
set -e
if [ -f Gemfile ]; then
bundle install
fi
if [ "$1" == "serve" ]; then
exec jekyll serve --port $PORT --host $HOST
else
exec $@
fi
|
9a3de9d108550be7a53621fbec883c7ea779e57a | 213 | #!/usr/bin/bash
set -e
wasm-pack build --target web
cp pkg/* ../web/build/
wasm="../web/build/chai_bg.wasm"
echo ""
echo "Size: $(cat $wasm | wc -c) bytes"
echo "Gzipped: $(cat $wasm | gzip -c | wc -c) bytes"
|
64a2117482081c04bd10fd131fb193397a69dabf | 411 | #!/bin/bash
DATA=/home/rodolfo/Workspace/2016-2-comp
IN=$DATA/in
OUT=$DATA/t3/my-out
EXE=./trab3
DOT="dot -Tpdf"
rm -rf $OUT
mkdir -p $OUT
for infile in `ls $IN/*.cm`; do
base=$(basename $infile)
outfile=$OUT/${base/.cm/.out}
$EXE < $infile > $outfile
# outfile=$OUT/${base/.cm/.dot}
# $EXE < $in... |
8a1f2fd1265fbcdaad987e8929dfcbc57d949763 | 844 | #!/bin/bash
have lxc-start &&
{
_lxc_names()
{
COMPREPLY=( $( compgen -W "$( lxc-ls )" "$cur" ) )
}
_lxc_running()
{
COMPREPLY=( $( compgen -W "$( lxc-ls --running )" "$cur" ) )
}
_lxc_generic_n()
{
local cur prev
COMPREPLY=()
_get_comp_words_by_ref cur prev
_lxc_names "$cur"
return 1
}
_l... |
8a1605813d86aa1d46141fcceb6399b0f75c1b80 | 1,619 | #!/bin/sh
#
# Simple script to convert normal MP4 file
# to fMP4 fragments and DASH+HLS manifest using ffmpeg and bento4
#
# It takes one parameter (MP4 file name)
# and produce output folder with all content inside it
# It leave maximum quality stream MP4 file as reference version
#
# oldayn@gmail.com 2017
#
# no au... |
0be01e9bdee5e6ba51dfa8fbc87f6e7e78e1d0c8 | 718 | #!/bin/bash
source /etc/environment
while [[ $# -gt 1 ]]
do
INPUT="$1"
case $INPUT in
-a|--app)
APP="$2"
shift
;;
* )
# Unknown
;;
esac
shift
done
do_help () {
echo " "
echo "./start_logging_app.sh -a [elasticsearch|filebeat|kibana|logsta... |
39f2f339b2c9a3198cc055c8d9f38d1602075629 | 155 | #!/bin/sh
if test -f ./setup; then
source ./setup
fi
export USER=krmall
exec gosu $USER /app/krmall/krmall serve --config /data/krmall/conf/app.toml
|
9f980dd019d3b0561ba229696f9e463049116f68 | 348 | #!/bin/bash
eylocal_version="1.0.2"
path_to_eylocal=$(gem env | grep "INSTALLATION DIRECTORY" | cut -d":" -f2 | sed -e 's/^[ \t]*//')/gems/engineyard-local-$eylocal_version
diff -rupN engineyard-local.orig/ $path_to_eylocal > patches/my.patch \
-x .yardoc \
-x yardoc \
-x diff_recipes \
-x recipes* \
-x .g... |
c62b3ea8fbde9145440395ecf47b0f139382a365 | 732 | # Maintainer: Kovivchak Evgen <oneonfire@gmail.com>
# Contributor Shae Smittle <starfall87@gmail.com>
pkgname=gnome-human-theme
_pkgname=human-theme
pkgver=0.39.2
pkgrel=1
pkgdesc="Ubuntu's default theme"
arch=('i686' 'x86_64')
url="http://www.ubuntu.com"
license=('custom:cc-by-sa-2.5')
depends=('gtk-engine-murrine' '... |
534dcc44490ae2a0a8f05286c9ba57ee23151d93 | 613 | #!/bin/bash
prefix=/usr/local
usage()
{
echo "Usage: configure [-h|--help] [--prefix=prefix]"
}
while [ "$1" != "" ]; do
case "$1" in
--prefix=*)
prefix=${1#--prefix=}
;;
--prefix)
shift
prefix=$1
;;
-h|--help)
us... |
660d434f80dff6247a815352ac46309778393eb7 | 908 | #!/bin/bash
export PURPLE="\e[01;35m"
export Z="\e[0m"
export BLUE="\e[01;34m"
if [ $# -eq 0 ]
then
echo "Please specify an interface:
$0 eth0
$0 wlan0
"
else
echo -e $PURPLE "Generate random mac address...."
a1=`cat /dev/urandom | tr -dc 'a-fA-F0-9' | fold -w 2 | head -n 1`
a2=`cat /de... |
ddb6ee2c365423cfc204a6f525c741ffa7d38dc8 | 765 | #!/usr/bin/env bash
dir=`pwd`
# Check for uninitialized variables
set -o nounset
ctrlc() {
cd $dir
exit
}
trap ctrlc SIGINT
cd ~
rm -rf scratch
mkdir scratch
cd scratch
function pageDownloadInitial(){
rm -rf $1
mkdir $1
cd $1
wget -Hp --user-agent="Mozilla/5.0 (X11; Linux x86_64) AppleWebK... |
fab87666079369fdbd2241b6690ebc768da598b3 | 2,309 | #!/usr/bin/env bash
#
# Arithmetic Evaluation and Expandsion
# Basic form of arithmetic operations on integers.
#
# $((expression))
echo '------------------------------------------------'
echo ' Number Bases'
echo '------------------------------------------------'
cat << EOF
Notation | ... |
fa152a059958491ded29eba520837fc40a19638a | 131 | # https://atcoder.jp/contests/abc128/submissions/9500256
awk 'c++{printf "%s %03d %d\n",$1,100-$2,NR-1}' | sort | awk '{print $3}'
|
c1b90221b467b35ec7d736823776183c262eea8e | 4,089 | #!/bin/bash
# Create a github gist repository for sharing scripts/configs on blog
# Base directory, repository parent directory
base_dir=""$HOME"/"
repo_par=""$HOME"/.github-gist/"
# File list (File list order must match repository order)
files=('/home/todd/.scripts/others/github-sync-scripts'
'/home/todd/.scr... |
2fa6ef89d02b7102e1e7d671e22579b595e0d416 | 1,722 | #!/bin/sh
pages=42
set -e
if ! test -e work.index_fetched; then
for page in `jot $pages`; do
start=$(expr \( $page - 1 \) \* 25) || true
fetch -o "index$(printf %02d $page).html" "http://www.phpbb.com/customise/db/contributions/all/start_$start"
done
touch work.index_fetched
fi
if ! test -e work.pages_parsed... |
002064be651e4cd274f30ec4676b7a7c8b0ba5f9 | 523 | #!/usr/bin/env zsh
BREW_PREFIX=$(brew --prefix)
cd "$(dirname "${BASH_SOURCE}")";
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
brew update
brew upgrade
brew bundle --file .brewfile
nvm install --lts
sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-... |
21c773f7393ccceba21027fdfa6dfd191b9038fb | 78 | #!/bin/bash -x
cd `dirname $0`
cp -f vncsession@.service /etc/systemd/system/
|
e2c61d897753523972b56dc54e21c5448fef6e53 | 191 | #!/usr/bin/bash
#include <algorithm>
g++ -pedantic -std=c++11 -Wall -c vector3d.cpp -o vector3d.o && g++ -std=c++11 -Wall -c u.cpp -o u.o && g++ -std=c++11 vector3d.o u.o -o u.exe && ./u.exe
|
31eaf22c115d45b136bd99caf95e70d7078be7d7 | 447 | #!/bin/bash
pkgname=libmikmod
pkgver=3.3.6
pkgver_postfix=
sources=( "http://downloads.sourceforge.net/mikmod/${pkgname}-${pkgver}.tar.gz" )
sha1sums=( 'c0d5c7df1f26b4244ba95ed261f580be2e52f789' )
lfs_me_prepare() {
tar -xf "${sources_dir}/${pkgname}-${pkgver}.tar.gz" -C "$build_dir"
cd "${build_dir}/${pkgna... |
d4342847f0c825ecccb04941580283aa39844400 | 123 | ..\..\..\..\..\Downloads\jdk_ri-8u40-b25-windows-i586-10_feb_2015\java
-se-8u40-ri\bin\java.exe -jar scmgrpc-1.0-shaded.jar |
ce4a326f15adbfaba01b8351d1b459a4cdf164de | 548 | #!/bin/sh
rotate() {
degree="$1"
tr '\n' '\0' | xargs -0 realpath | sort | uniq | while read file; do
case "$(file -b -i "$file")" in
image/jpeg*) jpegtran -rotate "$degree" -copy all -outfile "$file" "$file" ;;
*) mogrify -rotate "$degree" "$file" ;;
esac
done
}
case "$1" in
"C-c") while read ... |
6fd4a759c2f0a36707a1835a1be789144d283607 | 151 | #!/bin/bash
# ---------------------------
# run in the ca
# ---------------------------
cd ~/openvpn-ca
source vars
./clean-all
./build-key "$1"
|
536816ae661410b3d9a43b69e013893ec66e1084 | 1,416 | # Make sublime work on the command line
export PATH=/bin:/sbin:/usr/local/bin:/usr/bin:/usr/local/sbin:/Users/luizsotero/bin:$PATH
export EDITOR='subl -w'
### Added by the Heroku Toolbelt
export PATH="/usr/local/heroku/bin:$PATH"
### Added for homebrew
export PATH="/usr/local/bin:$PATH"
### For git completion
if [ -... |
429677204b0f5665640b24d3d0b60c5830c36263 | 49 | #!/bin/bash
scp $1 pi@raspberrypi.local:~/m119/
|
fb0d453a055398abd91d47199aa6d14746e35a6b | 1,377 | #!/bin/bash
#$ -q mic,bio
#$ -N mapping
#$ -o mapping.out
#$ -e mapping.err
#$ -pe openmp 24
#$ -m beas
module purge
module load bwa/0.7.8
module load samtools/1.8-11
SUBJECT=$BIODIR/martiny_diel_metaG/genes_P1P2P3.derep.fna
READSDIR=$BIODIR/martiny_diel_seqs
bwa index $SUBJECT
#SUBJECTDIR=${SUBJECT%/*}
#perl $HOME/a... |
0777e1095e93a95f7969cddee19fed5aebb4ae8a | 594 | #!/usr/bin/env bash
##
# This file is part of `scr-be/shared-project-knowledge`
#
# (c) Rob Frawley 2nd <rmf@scr.be>
#
# For the full copyright and license information, view the LICENSE.md
# file distributed with this source code.
##
readonly SCRIPT_COMMON_SPATH="${0}"
readonly SCRIPT_COMMON_RPATH="$(cd "$(dirname "$... |
6916642077938a7eb550118b25ce3207929bc2af | 161 | [app]
debug = false
trace = false
[database]
hostname = localhost
database = 2201713130225
username = zeng-yue2
password = zhpf6700
hostport = 3306
prefix = fa_ |
71bb429dbfe6bbc26df136f85bfa20297a3c3acd | 972 | #!/bin/sh
# Set env. variables for SW TPM server
export TPM_PATH=/home/roberto/ibm_tpm/nv_storage
export TPM_PORT=6545
export TPM_SERVER_PORT=6545
export TPM_SERVER_NAME=localhost
export TPM_SESSION=oiap
# Stop Tousers service (probably linked to the hardware TPM)
service tcsd stop
# Stop other tasks that might be r... |
e08506f827f66002a4b9f4bceab8d3bab9358cfe | 541 | #!/usr/bin/env bash
echo "Starting IW Status API Environment...";
echo "Executing install.sh";
/development/install.sh;
echo "Adding php.ini...";
cp -f /development/docker/custom/php.ini /usr/local/etc/php/conf.d/php.ini;
touch /tmp/php_errors.log
chmod -R 777 /tmp/php_errors.log;
echo "Installing and enabling ... |
e707a99504c8eaf4a1ba36822094795af3a5123d | 94 | #!/bin/bash
aws application-autoscaling describe-scalable-targets --service-namespace lambda
|
39145cd5224e2b7c5641fa3dc4f3539ce187a6d3 | 2,321 | #!/usr/bin/env bash
sudo apt-get install openjdk-8-jdk -y
cd /opt
wget http://download.sonatype.com/nexus/3/nexus-3.22.0-02-unix.tar.gz
sudo tar -xvf nexus-3.22.0-02-unix.tar.gz
ln -s nexus-3.22.0-02 nexus
sudo adduser nexus
sudo chown -R nexus:nexus /opt/nexus
sudo chown -R nexus:nexus /opt/sonatype-work
sudo sed -i... |
d55f837e0622b3264f35bb9f56da4363e5a9cecd | 548 | #!/bin/bash
# /etc/pm/sleep.d/00_sshfs_automount.sh
# Unmount all sshfs mountpoints before suspending/hibernating
# to prevent hanging sshfs after resume/thaw
case $1 in
hibernate | suspend)
mountpoint_count=$(egrep -c '(/[^ ]+) fuse.sshfs' /etc/mtab)
if [ $mountpoint_count -gt 0 ]; then
mountpoints=($(awk '/(\/[... |
cd6e024de0b02289818ebdd5e0a1c41ba4ca3bb2 | 20,467 | # Setup fzf
# ---------
if [[ ! "$PATH" == */home/sam/.fzf/bin* ]]; then
export PATH="${PATH:+${PATH}:}/home/sam/.fzf/bin"
fi
# Auto-completion
# ---------------
[[ $- == *i* ]] && source "/home/sam/.fzf/shell/completion.zsh" 2> /dev/null
# Key bindings
# ------------
source "/home/sam/.fzf/shell/key-bindings.zsh"
... |
efe60958c2fcc6f946670cfca192a38006541a71 | 353 | # 确保脚本抛出遇到的错误
set -e
# 生成静态文件
cnpm run build
# 进入生成的文件夹
cd build
# 如果是发布到自定义域名
# echo 'www.example.com' > CNAME
git init
git add -A
git commit -m 'deploy'
# 如果发布到 https://<USERNAME>.github.io/<REPO>
git push -f git@github.com:cj620/MyResume.git master:gh-pages
cd - |
31d5a414015fd12ba9b7f63fee94117841b2230a | 59 | #!/bin/sh
cat $(echo ${1:-input}) | xargs node sum-mass.js
|
74ad88f36b4a17b9e6f14847f72e3a2968545b0f | 325 | #!/bin/bash
# @app pluie/alpine-apache
# @author a-Sansara https://git.pluie.org/pluie/docker-images
apk add git vala gcc musl-dev python3 ninja \
&& pip3 install meson \
&& git clone https://github.com/pluie-org/libpluie-echo.git \
&& cd libpluie-echo/ \
&& meson --prefix=/usr ./ build \
&& ninja install -C bu... |
d82969afbcf7f112f091998abd62097957611722 | 90 | #!/bin/bash
export FRESHBEATS_SERVING=0
env $(cat dev.env | xargs) python manage.py $@
|
aab6364ca97f7d48d8e8dd302377bf7f7abfdb9b | 931 | #!/bin/bash
# Updates the previous environment to a new latest, rather than starting from scratch.
if [ -z "${1}" ]; then
echo "Usage: update_env.sh [envname] [base] [py_ver]"
exit
else
ENVNAME="${1}"
fi
if [ -z "${2}" ]; then
BASE="pcds"
else
BASE="${2}"
fi
if [ -z "${3}" ]; then
VER="3.6"
else
VER="${3}... |
ae552744e05ed5072dd0e23ef27825cc5e014dd5 | 1,214 | #!/bin/bash
WHERE=$1
SLEEP_FIRST=$2
SLEEP_SECOND=$3
INPUT=INPUT.log
SUCCESS_LOG=success.log
ERROR_LOG=error.log
ERROR_LOG_VERBOSE=error_verbose.log
rm -f ${INPUT}
rm -f ${SUCCESS_LOG}
rm -f ${ERROR_LOG}
rm -f ${ERROR_LOG_VERBOSE}
function analyze {
LOG=gitbase.log
READY="server started and listening on loca... |
17fe49f04cc0317fda1a727adce69585d7feb3bc | 131 | #!/bin/bash
docker run -d \
--name mongo-express \
--network host \
-e ME_CONFIG_MONGODB_SERVER=127.0.0.1 \
mongo-express
|
235684243b553ad7c6f54a266fa03f31f93ad5db | 14,969 | KHCMRVERSION=2.0.1
if [ $# != 1 ]; then
echo "Uso : . khpgenv <arch-conf>"
echo "KH-CMR Version : ${KHCMRVERSION}"
return 1
else
. $1
if [ $? != 0 ]; then
echo "Error ejecutando archivos de configuracion"
echo "Entorno no quedo configurado correctamente"
return 1
fi
... |
acf49fd661aca99c73b3f3cd8654559d09bf9ebf | 42 |
grep -o ',.*\.cz$' top-1m-sites-alexa.csv |
0969ff41e65bcfcb9b024e237eddb598a78400e9 | 54 | INFURA_APIKEY =
PRIVATE_KEYS = '["75xx45", "85xx45"]'
|
0f111e85ace3ae5ea63533eb4b9e589656d34cfb | 560 | #!/bin/bash
./system_sub_header.sh 'Finance'
response=$(curl -s http://api.coindesk.com/v1/bpi/currentprice.json | python -c "import json, sys; print json.load(sys.stdin)['bpi']['USD']['rate']")
echo ""
echo "$(tput setaf 2) Bitcoin $(tput sgr0) $response"
for fname in aapl goog msft
do
url="http://download.finance.... |
86db78bd76d4d603b78139578a5bd0d2e02a5999 | 150 | #!/bin/bash
cat <<EOF > .env
APP_NAME=${PWD##*/}
EOF
echo ;
echo "Please execute the following command.";
echo "$ (sudo) docker-compose up -d\n";
|
a9be9c932711ac55c0b5f401573f825e1e686f1e | 2,551 | #!/bin/bash
# slack_host
# Icinga 1.x (or Nagios) to push alerts into a channel of Slack via Incoming WebHooks
#
# Inspired by Smokeping Slack notification
#
# Modified by Stephen HC Lin
NOTIFICATIONTYPE="$1"
HOSTNAME="$2"
HOSTSTATE="$3"
HOSTADDRESS="$4"
HOSTOUTPUT="$5"
#Set the message icon based on icinga service ... |
a563454f70c044a0d7683a93f1c49b528c901f03 | 598 | HEAD="<link rel='stylesheet' href='__index.css'/>"
BLOG_FILES=$(find "$SRC_DIR/blog" -type f -name "*.md")
BLOG_LINKS=""
for FILE in $BLOG_FILES; do
RELATIVE_PATH=$(basename $(infer_out_path "$FILE"))
__FM=$(parse_frontmatter "$FILE")
eval "$__FM"
export BLOG_LINKS=$(cat <<EOF
${BLOG_LINKS}
... |
aea42ce68c19b1cdf24250a01b9d43545d6f7611 | 512 | #! /bin/sh
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
add_makefiles "
camino/Makefile
camino/IBPalette/Makefile
camino/feedhandlers/Makefile
camino/flashblock/Make... |
583e7b8f8deab36f936900dba2ccf67f01fe13fb | 1,387 | # bin/bash
: ${TMC_WORKSPACE?"Need to set TMC_WORKSPACE environment variable"}
: ${VMWARE_ID?"Need to set VMWARE_ID environment variable"}
if [ ! $# -eq 1 ]; then
echo "Must supply cluster name as args"
exit 1
fi
CLUSTER_NAME=$1
mkdir -p generated/$CLUSTER_NAME/tmc
cp -r tkg-lab/tmc/config/ generated/$CLUSTER_NAME... |
1a58521a35b42eedbfd583a93b858d5dfce5d182 | 47 | #!/bin/bash
cd ..
export SRCDIR=`pwd`
cd unix
|
50dba0dcc468d42858409110e1c9f7ec67d6737e | 81 | LOCAL_HOST_NAME=localhost
USER=arashiwalker
PASSWORD=password
DATABASE=bamazon_db |
6b52fef2e27a673ec51ac3872f683cb5d55bbca6 | 319 | #!/bin/sh
if [ ! -f target/amazon-rum-dynamodb-0.0.1-SNAPSHOT-jar-with-dependencies.jar ]; then
echo "First time using this tool. Generating the required packages"
mvn compile assembly:single
fi
echo "Running DDB Connector"
java -cp target/amazon-rum-dynamodb-0.0.1-SNAPSHOT-jar-with-dependencies.jar:conf/ $1
|
ea9f94a03084c8ec7ae148e66ef97e9d4e6c64f9 | 366 | #!/bin/bash
function help_menu () {
cat << EOF
Usage: ${0} [Jenkins_View_name]
EXAMPLES:
List jobs under view 'Vista'
$ ./jenkins-ls.sh Vista
List all jobs/views
$ ./jenkins-ls.sh
EOF
}
JOB=$1
java -jar /home/deepakt/Documents/dev/tools/jenkins-cli.jar -s http://10.123.0.88:8080 list-jobs ${J... |
dcc79cf4c75f42eba62d22dc6ab406c8f44eb6b7 | 7,997 | # sdothum - 2016 (c) wtfpl
[ $TRACE ] && CHILD="draw/layout $@" . $PARENT
# herbstluftwm
# ══════════════════════════════════════════════════════════════════════════════
# .................................................................. Draw layout
# Usage: draw layout [--]** tags | grid | horizontal | max | verti... |
daaafe6c3002d3ecc50bc62c05fd155fa643b650 | 1,168 | #!/bin/bash
#This sets up communications for the Pi (RXTX and Pi4j)
if (( $EUID != 0 )); then
echo "$(tput setaf 1)This must be run as root. Try 'sudo bash $0'.$(tput sgr0)"
exit 1
fi
echo "(tput setaf 2)This shell file will only download necessary communication files and software.$(tput sgr0)"
echo "$(tput... |
d3245fab76bb953a594d021a48d112963873cf11 | 572 | #!/bin/sh
module load amber
mpirun -v -np 8 /opt/amber/bin//pmemd.MPI -O -i /oasis/scratch/comet/pieong/temp_project/MD_Test_Oct/confDir/min4_switch.conf.usr -o /oasis/scratch/comet/pieong/temp_project/MD_Test_Oct/r175h_stictic/min4.out -p /oasis/scratch/comet/pieong/temp_project/MD_Test_Oct/r175h_stictic/r175h_stictic... |
010229742a1a72544c2ba7cb58933f09e741038a | 453,724 | wget -nc http://cdn.gea.esac.esa.int/Gaia/gdr3/Spectroscopy/xp_continuous_mean_spectrum/XpContinuousMeanSpectrum_000000-003111.csv.gz
wget -nc http://cdn.gea.esac.esa.int/Gaia/gdr3/Spectroscopy/xp_continuous_mean_spectrum/XpContinuousMeanSpectrum_003112-005263.csv.gz
wget -nc http://cdn.gea.esac.esa.int/Gaia/gdr3/Spect... |
30e4273a0bf231a67b39981876d03e5decfda1d6 | 1,238 | ## See also https://thevaluable.dev/zsh-completion-guide-examples/
#
## Make completion matches case-insensitive
##zstyle ':completion:*' matcher-list 'm:{a-zA-Z}={A-Za-z}'
#
## Make completion matches case-insensitive and match on partial words
#zstyle ':completion:*' matcher-list '' 'm:{a-zA-Z}={A-Za-z}' 'r:|[._-]=* ... |
96e429772b74d141ddc94269045e19bbd146c881 | 4,652 | #!/bin/bash
# taking this bridge-initialization code out of lbuild-initvm.sh
# so we can use it on our libvirt/lxc local infra
# there's something very similar in
# tests/system/template-qemu/qemu-bridge-init
# that the current code was actually based on, but
# nobody was ever bold enough to reconcile these two
# har... |
354c3460237c180cc7ec61b887ef1f5b7150f727 | 183 | #!/bin/sh
i3status -c ~/.i3/status.conf | while :
do
read line
mem=`free -t -m | grep "Total" | tail -n 1 | awk '{ print ""$3"MB"; }'`
echo "$mem | $line" || exit 1
done
|
b767315709aabdb55adf1f30824806506a6c0e72 | 3,923 | #!/bin/bash
# To be executed after the machine is created. It can read from cloudsim-options.json.
set -x
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
codedir="$DIR/../.."
# Helper to parse options from cloudsim-options.json
get_option(){
echo `node -pe "var f = \"$1\"; var query = \"$2\"; var j=requir... |
6edc402bf683d46a06e88ee754f373e0f14fe369 | 225 | #!/usr/bin/bash
python -m nicu_los.src.modelling.dnn --coarse-targets --model-type lstm \
--model-name lstm_coarse_1_cell_do_0_3 --n-cells 1 --dropout 0.3 \
--batch-size 8 --training-steps 2048 --validation-steps 4096
|
ccc132933d95adce65cd33216f714c7d4bc25a43 | 141 | #!/bin/sh
if [ -z $1 ]; then
echo "usage: tm <session_name>" >&2; return 1;
else
tmux has -t $1 && tmux attach -t $1 || tmux new -s $1
fi
|
12e104e1cdba255f7391287bd41702458bab569d | 487 | #!/bin/sh
# showenv - show environment of a process, by PID
# If second argument given, show just that environment variable
f=/proc/$1/environ
if [ ! -r "$f" ]; then
echo "`basename $0`: can't access process $1" 1>&2
exit 1
fi
case $# in
1)
tr '\000' '\012' < $f | sort
;;
2)
t... |
973d69ad81863585b32587e62e914ba7365b11ef | 359 | #!/bin/bash
DOCKER_CONTAINER_NAME=keycloak
DOCKER_IMAGE=jboss/keycloak
KEYCLOAK_USER=user
KEYCLOAK_PASSWORD=password
DATABASE=H2
PORT=${PORT:-7777}
docker pull $DOCKER_IMAGE
docker run -p $PORT:8080 --name $DOCKER_CONTAINER_NAME \
-e KEYCLOAK_USER=$KEYCLOAK_USER \
-e KEYCLOAK_PASSWORD=$KEYCLOAK_PASSWORD \
-e DB... |
a9f155fff02ed03c83583d0f6872eec0c0d57b90 | 1,009 | #!/usr/bin/env bash
#
# Find all reference translations of segments in a file.
# The results are written into a parallel target file.
# For each segment, its reference translations is found by finding
# it in the source segments file, and by searching for the reference
# translation in the corresponding parallel targe... |
5081c4d8d7574b49265984786550374c9c720429 | 585 | APP_NAME=Laravel
APP_ENV=local
APP_KEY=base64:acpx3ZaiB6M3Rz3UFehuSRueKmdmn2u6OXa0uTtIrBo=
APP_DEBUG=false
APP_DEMO=false
APP_LOG_LEVEL=debug
LOG_CHANNEL=
APP_URL=
APP_VERSION=3.0
DB_CONNECTION=mysql
DB_HOST=127.0.0.1
DB_PORT=3306
DB_DATABASE=biddo
DB_USERNAME=root
DB_PASSWORD=
BROADCAST_DRIVER=log
CACHE_DRIVER=file
... |
1d6ee5a4d02d07447fc7dd633e06c6ad861ea5ac | 813 | # This example supports x86, x86_64, and ARM.
#
# It checks if you are on the right architecture
# when running the ARM example and uses QEMU
# if your machine isn't ARM.
# The first argument is the architecture.
# The second argument is the string to be supplied.
arch=$(arch)
if [[ "$#" -lt 1 ]]; then
arg1=... |
bbdce9b00b891bf063efa6fb7ea879a73fcd9551 | 290 | #!/bin/bash
#SBATCH --job-name=cache_fastpm
#SBATCH --time=24:00:00
#SBATCH -p iric
#SBATCH -o /home/users/swmclau2/Git/pearce/bin/cache/cache_fastpm.out
#SBATCH --ntasks=16
###SBATCH --mem-per-cpu=4000
#SBATCH --exclusive
python /home/users/swmclau2/Git/pearce/bin/cache/cache_fastpm.py
|
ca1736432f69e8b303325d154ac3769697c2a15f | 112 | #!/bin/bash
# Shell script to emulate the GCP functions
functions-emulator deploy getOAuthToken --trigger-http
|
6ef5f69bb934d0a616c91238f272a6b0eab8b979 | 210 | APP_NAME=demo1
cf t -s support
cf service mongo-${APP_NAME} || cf create-service mongodb default mongo-${APP_NAME}
cf push -f manifest.yml ${APP_NAME} -p target/${APP_NAME}-*.jar --no-start
cf start ${APP_NAME} |
e151b4df73841830b52f0c11ebf8741616fea7a0 | 463 | #!/bin/bash
SHELL=/bin/sh
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
ESPACO=`df -h /media/STR | awk '{print $5}' | grep -v Use | sort -nr | awk -F % '{print $1}' | head -n1`
# Verifica espaco em disco
case $ESPACO in
9[1-9])
ls -ltrxp /media/STR/MOVIES | head -n 5 | tr "\n" "\0" | xar... |
d65f99bd0aba4bbc19ad959a46c8c5f6603a04e8 | 357 | #!/bin/bash
# Author: chzhyu
# Description:
#五、提示输入一个用户名,判断用户是否存在,如果存在,显示一下用户默认的 shell。
read -p "请输入用户名:" user
grep "^$user:" /etc/passwd &> /dev/null && echo "存在用户$user"
defaultShell=`grep "^$user:" /etc/passwd | cut -d: -f7`
echo "defaultShell is $defaultShell"
|
442c8fb84fd5a26ca5589ec988c9e4a298c1dd29 | 300 | #/bin/bash
for D in *; do
if [ -d "${D}" ]; then
echo "Enter directory: ${D}" # your processing here
mkdir ${D}/raw
mkdir ${D}/jpg
cd ${D}
for f in *.JPG; do
echo "moving: ${f}"
mv ${f} jpg/
done
for f in *.ARW; do
echo "moving: ${f}"
mv ${f} raw/
done
cd ..
fi
done |
3504403112c3a82082713f1103020fdcae5e813e | 90 | #!/bin/sh
LD_PRELOAD=/usr/lib/libcurl-openssl-1.0.so.4.4.0 /opt/gitkraken/gitkraken "$@"
|
4bc7e31adf12735008fae8c3e810e89602b87466 | 433 | #! /bin/sh
ALFRED_BASE=/fs/erewhon/group/systems/darsana_alfred
ALMA_BASE=$ALFRED_BASE/Alma
$ALMA_BASE/alma alfile $ALFRED_BASE/src/main.al load $ALFRED_BASE/src/routines.pl sfile $ALFRED_BASE/etc/hostfile.$LOGNAME pcfile $ALFRED_BASE/etc/parserhost.$LOGNAME dfile $ALFRED_BASE/etc/domainhost.$LOGNAME history $ALFRED_BA... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.